version: "3.8"

services:
  database:
    container_name: postgres_database
    image: "postgres"
    env_file:
      - .env
    ports:
      - 5433:5432
    networks:
      - dbconnect
  server:
    container_name: go_server
    volumes:
      - ../../../:/app:z
    build:
      context: ../../../
      dockerfile: ./infra/docker/prod/Dockerfile
    env_file:
      - ../../../.env
    ports:
      - 8080:8080
    networks:
      - dbconnect
    depends_on:
      - database
networks:
  dbconnect:
    driver: bridge
